> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

> Retrieve audit logs for the entire enterprise.

# Get Audit Logs

Requires an enterprise admin personal API key.


## OpenAPI

````yaml /v2-openapi.yaml GET /v2/enterprise/audit-logs
openapi: 3.1.0
info:
  description: Devin v2 API with Personal API Keys for Enterprise Admins
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/audit-logs:
    get:
      tags:
        - audit-logs
        - audit-logs
      summary: Get Audit Logs
      description: >-
        Get audit logs for the current user's organization. Only accessible by
        enterprise admins.
      operationId: get_audit_logs_v2_enterprise_audit_logs_get
      parameters:
        - in: query
          name: before
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Before
        - in: query
          name: after
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: After
        - in: query
          name: limit
          required: false
          schema:
            default: 100
            title: Limit
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuditLogsResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    AuditLogsResponse:
      description: Response containing audit logs.
      properties:
        audit_logs:
          items:
            $ref: '#/components/schemas/AuditLogEntry'
          title: Audit Logs
          type: array
      required:
        - audit_logs
      title: AuditLogsResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    AuditLogEntry:
      additionalProperties: true
      description: An audit log entry.
      properties:
        audit_log_id:
          title: Audit Log Id
          type: string
      required:
        - audit_log_id
      title: AuditLogEntry
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: Personal API Key (apk_user_*) for Enterprise Admins only
      scheme: bearer
      type: http

````